Loading...
Searching...
No Matches
groebnerCone.cc File Reference
`#include "kernel/GBEngine/kstd1.h"`
`#include "kernel/ideals.h"`
`#include "Singular/ipid.h"`
`#include "polys/monomials/p_polys.h"`
`#include "polys/monomials/ring.h"`
`#include "polys/prCopy.h"`
`#include "gfanlib/gfanlib.h"`
`#include "gfanlib/gfanlib_matrix.h"`
`#include "initial.h"`
`#include "tropicalStrategy.h"`
`#include "groebnerCone.h"`
`#include "callgfanlib_conversion.h"`
`#include "containsMonomial.h"`
`#include "tropicalCurves.h"`
`#include "bbcone.h"`
`#include "tropicalDebug.h"`

Go to the source code of this file.

## Functions

gfan::ZFan * | toFanStar (groebnerCones setOfCones)

## Function Documentation

## toFanStar()

gfan::ZFan * toFanStar | ( | groebnerCones | setOfCones | ) |

Definition at line 461 of file groebnerCone.cc.

{
if (setOfCones.size() > 0)
{
groebnerCones::iterator sigma = setOfCones.begin();
gfan::ZFan* zf = new gfan::ZFan(sigma->getPolyhedralCone().ambientDimension());
for (; sigma!=setOfCones.end(); sigma++)
{
gfan::ZCone zc = sigma->getPolyhedralCone();
// assume(isCompatible(zf,&zc));
zf->insert(zc);
}
return zf;
}
else
return new gfan::ZFan(gfan::ZFan(currRing->N));
}
currRing
VAR ring currRing
Widely used global variable which specifies the current polynomial ring for Singular interpreter and ...
Definition polys.cc:13